This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 882185

Summary: Few values (0, 1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, and 255) don't display colours accurately on the terminal window.
Product: [Fedora] Fedora Reporter: Kanda-kanda Malangu <kkmalangu>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: egmont, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 08:26:47 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
A program to change the colour of the terminal screen from value 0 to 255 none

Description Kanda-kanda Malangu 2012-11-30 06:03:01 EST
Created attachment 654931 [details]
A program to change the colour of the terminal screen from value 0 to 255

Description of problem:

I wrote a very small C program with curses. It iterates from 0 to 255. At each iteration, the program sets the background of the standard screen to a specific colour and prints out its respective value.

Version-Release number of selected component (if applicable):


How reproducible: Very easy to reproduce


Steps to Reproduce:
1.Download the attached file "testing_colors.c" in your computer at any location
2.Open your terminal at that location and compile the program as follow:'gcc -std=c99 -o testing_colors testing_colors.c -lncurses'
3.Run the program as follow:'./testing_colors' and compare the colours displayed on your terminal screen against the colours of the "Xterm_256color_chart.svg" provided at the following link (http://upload.wikimedia.org/wikipedia/en/1/15/Xterm_256color_chart.svg).
  
Actual results:
The following values (0, 1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, and 255) display colours slightly different from the corresponding colours on the chart.
The values 6 and from 16 to 254 display colours correctly.

Expected results:
The colours displayed on the terminal screen should match those provided by the chart according to their respective values.

Additional info:
From 0 to 7 (except 6), the program displays colours slightly brighter than they should be. From 8 to 15 the colours displayed appear to be slightly darker than they should be. For instance the value 15 displays a colour whose RGB code is obviously not equal to 000000. Also the value 255 displays a colour which appears to be close the colours of values 251 and 252 according to the chart.
Comment 1 Fedora End Of Life 2013-12-21 04:34:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 08:26:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Egmont Koblinger 2014-08-15 13:09:35 EDT
Color 255 is a bug in your test app: you're using more color pairs than ncurses allows.

The first 16 colors: Gnome-terminal lets you choose from multiple color profiles and also allows you to create your favorite. The one called "Xterm" indeed doesn't match the chart you linked, but neither does (newest) xterm.